interfaces = []
exclude = [
    "**/*__pycache__",
    "**/*egg-info",
    "**/docs",
    "**/tests",
    "**/venv",
]
source_roots = [
    ".",
]

[[modules ]]
path = "piker.fsp._engine"
depends_on = ["piker.log", "piker.types", "piker.data", "piker", "piker.data._sampling", "piker.data._sharedmem", "piker.data.feed", "piker.fsp._api"]

[[modules ]]
path = "piker"
depends_on = ["piker.data._sharedmem", "piker.cli", "piker.data", "piker.types", "piker.data.feed", "piker.data._pathops", "piker.fsp", "piker.data.validate", "piker.storage.marketstore", "piker.log", "piker.data._symcache", "piker.data.ticktools", "piker.data._formatters", "piker.data._web_bs", "piker.tsp", "piker.config", "piker._cacheables"]

[[modules ]]
path = "piker.fsp"
depends_on = ["piker.fsp._api", "piker.fsp._volume", "piker.fsp._engine"]

[[modules ]]
path = "piker._cacheables"
depends_on = ["piker.log"]

[[modules ]]
path = "piker.data._formatters"
depends_on = ["piker.data._sharedmem", "piker.data._pathops"]

[[modules ]]
path = "piker.types"
depends_on = []

[[modules ]]
path = "piker.data._sharedmem"
depends_on = ["piker.data._util", "piker.data._source", "piker.types"]

[[modules ]]
path = "piker.storage.cli"
depends_on = ["piker.storage", "piker", "piker.data._formatters", "piker.cli", "piker.data", "piker.tsp"]

[[modules ]]
path = "piker.data.feed"
depends_on = ["piker.data.validate", "piker.data.ingest", "piker.types", "piker.data._util", "piker", "piker.data.flows", "piker.data._sampling", "piker.tsp"]

[[modules ]]
path = "piker.fsp._api"
depends_on = ["piker.log", "piker.data._sharedmem", "piker.fsp._momo", "piker.fsp._volume"]

[[modules ]]
path = "piker.storage"
depends_on = ["piker.data.feed", "piker", "piker.config", "piker.log"]

[[modules ]]
path = "piker.data.ticktools"
depends_on = []

[[modules ]]
path = "piker.data._sampling"
depends_on = ["piker.data.ticktools", "piker.data._util", "piker.data._sharedmem", "piker"]

[[modules ]]
path = "piker.tsp._anal"
depends_on = ["piker.log", "piker"]

[[modules ]]
path = "piker.data.ingest"
depends_on = ["piker.data._util"]

[[modules ]]
path = "piker.config"
depends_on = ["piker.log"]

[[modules ]]
path = "piker.data.validate"
depends_on = ["piker.data._util", "piker", "piker.types"]

[[modules ]]
path = "piker.fsp._momo"
depends_on = ["piker.fsp._api", "piker.data", "piker.data._sharedmem"]

[[modules ]]
path = "piker.storage.marketstore"
depends_on = ["piker.log", "piker"]

[[modules ]]
path = "piker.cli"
depends_on = ["piker.storage.cli", "piker.log", "piker.config", "piker"]

[[modules ]]
path = "piker.data._symcache"
depends_on = ["piker.log", "piker.types", "piker.config", "piker"]

[[modules ]]
path = "piker.fsp._volume"
depends_on = ["piker.data", "piker.fsp._momo", "piker.fsp._api", "piker.log", "piker.data._sharedmem"]

[[modules ]]
path = "piker.data.flows"
depends_on = ["piker.types", "piker", "piker.data._sharedmem"]

[[modules ]]
path = "piker.data._pathops"
depends_on = ["piker.data._m4"]

[[modules ]]
path = "piker.data"
depends_on = ["piker.data.flows", "piker.data._sampling", "piker.data.feed", "piker.data.ticktools", "piker.types", "piker.data._sharedmem", "piker.data._symcache", "piker.data._source"]

[[modules ]]
path = "piker.storage.nativedb"
depends_on = ["piker.tsp", "piker.config", "piker.data", "piker.log", "piker.storage"]

[[modules ]]
path = "piker.data._m4"
depends_on = ["piker.data._util"]

[[modules ]]
path = "piker.tsp"
depends_on = ["piker.data._sampling", "piker.data._util", "piker.tsp._anal", "piker.storage", "piker.data._sharedmem", "piker", "piker.data._source"]

[[modules ]]
path = "piker.data._source"
depends_on = []

[[modules ]]
path = "piker.log"
depends_on = []

[[modules ]]
path = "piker.data._util"
depends_on = ["piker.log"]

[[modules ]]
path = "piker.data._web_bs"
depends_on = ["piker.types", "piker.data._util"]
